<!--notypo-->
<?php
/*!! Structure.Actions.Login, Function.User:
  *   ,     ,  ,   .
  * : ""{{Login}}""
*/
/* @var $this Wacko */
if ($_REQUEST["action"] == "logout")
{
  
  $this->LogoutUser();
  $this->SetBookmarks(BM_DEFAULT);
  //$this->SetMessage($this->GetResourceValue("LoggedOut"));
  $this->context[++$this->current_context] = "";
  if ($_REQUEST["goback"] != "") $this->Redirect($this->Href("", stripslashes($_REQUEST["goback"])));
  else $this->Redirect($this->href());
  
}
else if ($user = $this->GetUser())
{

  // user is logged in; display config form
  print($this->FormOpen());
  ?>
  <input type="hidden" name="action" value="update" />
  <table border="0" align="center">
    <tr>
      <td><?php echo $this->GetResourceValue("Hello").", ".$this->AddSimpleSpaces($user["name"]) ?>!</td>
      <td>
          <img src="<?php echo $this->GetConfigValue("root_url");?>images/z.gif" width="10" height="1" alt="" border="0" />
          <input class="CancelBtn" onmouseover='this.className="CancelBtn_";'
                                     onmouseout ='this.className="CancelBtn";'
                 type="button" align="top" value="<?php echo $this->GetResourceValue("LogoutButton"); ?>" onclick="document.location='<?php echo $this->href("", "", "action=logout"); ?>'" />
      </td>
    </tr>
  </table>
  <br />
<?php
  print($this->FormClose());
  $this->srvAllRunFile('userinfo');
}
else
{
  // user is not logged in
  $focus=0;

  // is user trying to log in or register?
  if ($_REQUEST["action"] == "login")
  {
    // if user name already exists, check password
	if(($csrfError = $this->csrfadCheckStandart('login',60*60)) === TRUE) {
		usleep(500000+rand(100000,300000)); // delay against brute force
		if ($existingUser = $this->LoadUser($_POST["name"]))
		{
		  // check password
		  if ($this->pswVerify($_POST["password"], $existingUser["password"]))
		  {
			$this->LogUserIn($existingUser);
			$this->SetUser($existingUser);
			$this->SetBookmarks(BM_USER);
			$this->context[++$this->current_context] = "";
			if ($_REQUEST["goback"] != "") $this->Redirect($this->Href("", stripslashes($_REQUEST["goback"]), "cache=".rand(0,1000)));
			$this->Redirect($this->href());
		  }
		  else
		  {
			$error = $this->GetResourceValue("WrongLoginPassword");
			//$name = $_POST["name"];
			//$focus = 1; // disabling name/login attack
		  }
		} else {
			$error = $this->GetResourceValue("WrongLoginPassword");
		}
	} else {
		$error = $csrfError;
	}
  }
if($this->handler!="wap") {
  print($this->csrfadFormOpen('login'));
  //echo $this->csrfGetSecretKey();
  ?>
  <input type="hidden" name="action" value="login" />
  <?php if(@$_REQUEST['goback']!='') { ?><input type="hidden" name="goback" value="<?php echo $_REQUEST['goback']; ?>" /><?php } ?>
  <table border="0" align="center">
    <tr>
      <td align="right"></td>
      <td><strong><?php echo $this->GetResourceValue("LoginWelcome"); ?></strong>
          <img src="<?php echo $this->GetConfigValue("root_url");?>images/z.gif" width="10" height="1" alt="" border="0" />
          <small><?php echo $this->FormatResourceValue("LoginWelcome2"); ?></small>
      <br /><br /></td>
    </tr>
    <?php
    if ($error)
    {
      print("<tr><td></td><td><div class=\"error\">".$this->Format($error)."</div></td></tr>\n");
    }
    ?>
    <tr>
      <td align="right"><?php echo $this->FormatResourceValue("LoginName");?>:</td>
      <td><input id="f0" name="name" size="27" value="<?php echo $name; ?>" /></td>
    </tr>
    <tr>
      <td align="right"><?php echo $this->GetResourceValue("LoginPassword");?>:</td>
      <td><input id="f1" type="password" name="password" size="24" /></td>
    </tr>
    <tr>
      <td></td>
      <td>
        <input class="OkBtn" onmouseover='this.className="OkBtn_";' onmouseout ='this.className="OkBtn";'
           type="submit" align="top" value="<?php echo $this->GetResourceValue("LoginButton"); ?>" /></td>
    </tr>
    <tr>
      <td></td>
      <td><a href="<?php echo $this->Href("", $this->GRV('YouArePanelPassword')); ?>"><?php echo $this->GetResourceValue("ForgotLink"); ?></a></td>
    </tr>
  </table>
  <script language="Javascript" type="text/javascript">
   document.getElementById("f<?php echo $focus;?>").focus();
  </script>
  <?php
  print($this->FormClose());
} else { //wap version
  ?>
  <?php
    if ($error)
    {
      print($this->Format($error)."<br />");
    }
  ?>
  <?php echo $this->FormatResourceValue("LoginName");?>: <input id="f0" name="name" size="15" value="<?php echo $name; ?>" />
  <?php echo $this->GetResourceValue("LoginPassword");?>: <input id="f1" type="password" name="password" size="15" />
<do label="<?php echo $this->GetResourceValue("LoginButton"); ?>" type="accept">
<go href="<?php echo $this->href(); ?>" method="post">
<postfield name="name" value="$(name)"/>
<postfield name="password" value="$(password)"/>
</go>
</do>

<anchor><?php echo $this->GetResourceValue("LoginButton"); ?>
<go href="<?php echo $this->href(); ?>" method="post">
<postfield name="name" value="$(name)"/>
<postfield name="password" value="$(password)"/>
</go>
</anchor>
  <?php
} // end wap version
}
?>
<!--/notypo-->
