<?php
class DebugSmarty extends Smarty
{
    function fetch($resource_name, $cache_id = null, $compile_id = null, $display = false) {
       global $wacko;
       if ($wacko->GetConfigValue("debug")>=2) {
           $start = $wacko->GetMicroTime();
           $wacko->includeLog[] = array(
          "query"   => $wacko->includeFor.'(SMARTY fetch!) '.$resource_name,
          "time"    => "(opened)");
          $wacko->includeFor .= '. .';
       }
       $res =  parent::fetch($resource_name, $cache_id, $compile_id, $display);
       if($wacko->GetConfigValue("debug")>=2) {
          $wacko->includeFor = substr($wacko->includeFor,0,-3);
          $time = $wacko->GetMicroTime() - $start;
          $wacko->includeLog[] = array(
          "query"   => $wacko->includeFor.'(SMARTY fetch!) '.$resource_name,
          "time"    => $time);
      }

       return $res;

    }


}
?>
