<?php
/* @var $this Wacko */
        $message = $this->GetMessage();
        header( "Content-Type: text/html; charset=".$this->GetCharset() );
?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head>
  <?php
  if($this->theme_title) {
     $title = htmlXspecialchars($this->theme_title);
  } else {
    $title = "";
    if($this->srvIsInstalled("WikiPatterns")) {
      $servWP = $this->srvFactory("WikiPatterns");
      if($servWP) {
      if(Wptrn_IsPageTemplated($this,$this->page["id"])) {
           $pagedata = $servWP->getPageData($this->page["id"]);
           if($pagedata["name"]) {
              $title = htmlXspecialchars($pagedata["name"]);
           }
           if($pagedata["title"]) {
              $title = htmlXspecialchars($pagedata["title"]);
           }
      }
      }
    }
  }
  if($title=="") $title = $this->AddSimpleSpaces($this->GetPageTag());
  ?>
  <title><?php echo ($this->config["title_notshowwacko"]!="1"?$this->GetWakkaName()." : ":"").$title.($this->method!="show"?" (".$this->method.")":""); ?></title>
  <?php
    if($this->realHandler == "page" || $this->realHandler == "") {
        if ($this->GetMethod() != 'show' || $this->page["latest"] == "N") {
                echo "<meta name=\"robots\" content=\"noindex, nofollow\" />\n";
        }
    }
?>
  <meta name="keywords" content="<?php echo $this->GetKeywords(); ?>" />
  <meta name="description" content="<?php echo $this->GetDescription(); ?>" />
  <meta http-equiv="content-type" content="text/html; charset=<?php echo $this->GetCharset(); ?>" />
<?php if(!$forbidClassicCSSandJS) { ?>
  <?php if(!$this->srvIsInstalled("WebOptimizer")) { ?>
  <link rel="stylesheet" type="text/css" href="<?php echo $this->GetConfigValue("theme_url") ?>css/wakka.css" />
  <?php } else {
  $wakkacss = file_get_contents('themes/'.$this->GetConfigValue("theme").'/css/wakka.css');
  if(strpos($wakkacss, '@import url(') === false) // no import directives in Wakka.css
  { ?>
      <link rel="stylesheet" type="text/css" href="<?php echo $this->GetConfigValue("theme_url") ?>css/wakka.css" />
  <?php } else {
      $wakkaCssImports = explode('@import url(', $wakkacss);
      unset($wakkaCssImports[0]);
      foreach($wakkaCssImports as $importCss) {
        $tmp = explode(');', $importCss, 2);
        ?><link rel="stylesheet" type="text/css" href="<?php echo $this->GetConfigValue("theme_url").'css/'.$tmp[0] ?>" />
        <?php
      }
  }

  } ?>
  <style type="text/css">tr.alphapng td { behavior: url(<?php echo $this->GetConfigValue("root_url");?>js/iepngfix/iepngfix.htc) }</style>
  <script language="JavaScript" type="text/javascript" src="<?php echo $this->GetConfigValue("root_url");?>js/default.js"></script>
  <script language="JavaScript" type="text/javascript" src="<?php echo $this->GetConfigValue("root_url");?>js/jquery.min.js"></script>
<? } // forbidClassicCSSandJS ?>
<?php if(false && !$forbidJSAjax) { ?>
  <script language="JavaScript" type="text/javascript" src="<?php echo $this->GetConfigValue("root_url");?>js/JsHttpRequest/JsHttpRequest.js"></script>
  <script language="JavaScript" type="text/javascript" src="<?php echo $this->GetConfigValue("root_url");?>js/QuickStartAjax/JsHttpRequest_QuickStart.js"></script>
<? } else {
    $this->jsUse('js/JsHttpRequest/JsHttpRequest.js');
    $this->jsUse('js/QuickStartAjax/JsHttpRequest_QuickStart.js');
} // forbidJSAjax ?>
  <script language="JavaScript" type="text/javascript">
    var ajax_content_mod='';
	var root_url='<?php echo $this->GetConfigValue("root_url"); ?>';
  </script>
  <?php if(file_exists('favicon.ico')) { ?>
   <link rel="icon" href="/favicon.ico" type="image/x-icon" />
   <link rel="shortcut icon" href="/favicon.ico" type="image/x-icon" />
  <?php } ?>
  <?php if(file_exists($this->getSiteDataPath().'xml/autoext.js')) { ?>
  <script language="JavaScript" type="text/javascript" src="<?php echo $this->getHTTPSiteDataPath();?>xml/autoext.js"></script>
  <?php } ?>
  <?php $this->UseAutoJs(); ?>
  <?php $this->srvAllRunFile('themeheader'); ?>
  <?php if($this->isHighlightjsUsed) {
	  $defStyle = "vs";
	  if($this->config["highlightjs_style"]) $defStyle = $this->config["highlightjs_style"];
	  ?><link rel="stylesheet" type="text/css" media="all" href="<?php echo $this->GetConfigValue("root_url");?>js/highlightjs/styles/<?php echo $defStyle; ?>.css" />
  <?php
	$this->jsUse("js/highlightjs/highlight.pack.js");
	$this->jsUse("js/highlightjs/highlight-init.js");
  }
	  ?>
<?php if($this->isCompAirDatepicker) { ?>
  <link rel="stylesheet" type="text/css" media="all" href="<?php echo $this->GetConfigValue("root_url");?>lib/jsairdatepicker/css/datepicker.min.css" />
  <script type="text/javascript" src="<?php echo $this->GetConfigValue("root_url");?>lib/jsairdatepicker/js/datepicker.min.js"></script>
  <script type="text/javascript" src="<?php echo $this->GetConfigValue("root_url");?>lib/jsairdatepicker/js/i18n/datepicker.ru-1251.js"></script>
<? } // isCompAirDatepicker ?>




